Package org.eclipse.jface.text.source

## Interface IVerticalRulerInfo

All Known Subinterfaces:
  `IOverviewRuler`, `IRevisionRulerColumn`, `IVerticalRuler`

All Known Implementing Classes:
  `AbstractRulerColumn`, `AnnotationColumn`, `AnnotationRulerColumn`, `ChangeRulerColumn`, `CompositeRuler`, `LineNumberChangeRulerColumn`, `OverviewRuler`, `VerticalRuler`

    public interface IVerticalRulerInfo

A vertical ruler is a visual component which may serve text viewers as an annotation presentation area. The vertical ruler info provides interested clients with the mapping and interaction aspect of the vertical ruler. This covers the mapping between coordinates of the ruler's control and line numbers based on the connected text viewer's document. In order to provide backward compatibility for clients of `IVerticalRulerInfo`, extension interfaces are used as a means of evolution. The following extension interfaces exist:

- `IVerticalRulerInfoExtension` since version 3.0 allowing custom annotation hovers and specific annotation models.

Since:
  2.0
See Also:
  `IVerticalRulerInfoExtension`

### Method Summary

All Methods Instance Methods Abstract Methods
`Control` `getControl()` Returns the ruler's SWT control.
`int` `getLineOfLastMouseButtonActivity()` Returns the line number of the last mouse button activity.
`int` `getWidth()` Returns the width of this ruler's control.
`int` `toDocumentLineNumber​(int y_coordinate)` Translates a y-coordinate of the ruler's SWT control into the according line number of the document of the connected text viewer.

### Method Detail

#### getControl

    Control getControl()

Returns the ruler's SWT control.

Returns:
  the ruler's SWT control

#### getLineOfLastMouseButtonActivity

    int getLineOfLastMouseButtonActivity()

Returns the line number of the last mouse button activity. Based on the input document of the connected text viewer.

Returns:
  the line number of the last mouse button activity or `-1` if the last mouse activity does not correspond to a valid document line

#### toDocumentLineNumber

    int toDocumentLineNumber​(int y_coordinate)

Translates a y-coordinate of the ruler's SWT control into the according line number of the document of the connected text viewer.

Parameters:
  `y_coordinate` - a y-coordinate of the ruler's SWT control
Returns:
  the line number of that coordinate or `-1` if that coordinate does not correspond to a valid document line

#### getWidth

    int getWidth()

Returns the width of this ruler's control.

Returns:
  the width of this ruler's control